Reorder, edit, and delete specific widgets on a dashboard. To edit dashboard widgets you must have created the dashboard or have DashboardAdministrator Manage permission and the dashboard is shared at all or have DashboardAdministrator Manage permission and the dashboard is public or have SharedDashboardsOrMaps Edit permission and the dashboard is shared with you
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| dashboardId | dashboard | integer (int32) | Required |
Request Body
Array of:
WidgetEdit
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| col | Dashboard column Required (defined) | integer (int32) | ||||||||||||
| filters | Widget filters Required (defined) | FilterEdit[] | ||||||||||||
|
FilterEdit properties
|
||||||||||||||
| height | Widget height Required (defined) | integer (int32) | ||||||||||||
| row | Dashboard row Required (defined) | integer (int32) | ||||||||||||
| specificWidgetId | Specific Widget identifier Required | integer (int32) | ||||||||||||
| title | Personal Widget title Must be between 0 and 600 characters Required | string | ||||||||||||
| width | Widget width Required (defined) | integer (int32) | ||||||||||||
Example Request Body
[
{ "col": 1, "filters": [
{ "fieldId": 1, "operator": "string", "value": "string"
}
], "height": 1, "row": 1, "specificWidgetId": 1, "title": "string", "width": 1
}
]
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
SpecificWidgetResponse
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| col | Dashboard column | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||
| description | Widget description | string | |||||||||||||||||||||||||||||||||||||||||||||||||||
| filters | Widget filters | FilterResponse[] | |||||||||||||||||||||||||||||||||||||||||||||||||||
|
FilterResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||
| height | Widget height | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||
| row | Dashboard row | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||
| specificWidgetId | Specific widget identifier | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||
| title | User Widget title | string | |||||||||||||||||||||||||||||||||||||||||||||||||||
| userWidgetDescription | User Widget description | string | |||||||||||||||||||||||||||||||||||||||||||||||||||
| widgetInfo | Widget title | string | |||||||||||||||||||||||||||||||||||||||||||||||||||
| width | Widget width | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
[
{ "col": 1, "description": "string", "filters": [
{ "availableOperator": [], "caption": "string", "dataFieldId": 1, "dataType": {}, "fieldId": 1, "hidden": false, "operator": "string", "queryParameterName": "string", "recommended": false, "required": false, "value": "string"
}
], "height": 1, "row": 1, "specificWidgetId": 1, "title": "string", "userWidgetDescription": "string", "widgetInfo": "string", "width": 1
}
]